/*
*  DirBrow.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "DirBrow.h"
#include "Global.h"
#include <stdlib.h>
#include <dir.h>
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TBrowseDlg *BrowseDlg;
//---------------------------------------------------------------------------
AnsiString __fastcall GetDirectoryPath(TForm *Owner, AnsiString &FileToFindThere)
{
   BrowseDlg = new TBrowseDlg(Owner);
   CenterDialog(BrowseDlg,Owner);
   BrowseDlg->FindFile = FileToFindThere;
   BrowseDlg->ShowModal();
   AnsiString path = BrowseDlg->ModalResult==mrCancel ? AnsiString("cancel"):BrowseDlg->path;
   delete BrowseDlg;
   return path.LowerCase();
}
//---------------------------------------------------------------------------
AnsiString __fastcall GetMixmasterPath(TForm *Owner)
{
   BrowseDlg = new TBrowseDlg(Owner);
   CenterDialog(BrowseDlg,Owner);
   BrowseDlg->ShowModal();
   AnsiString path = BrowseDlg->ModalResult==mrCancel ? AnsiString("cancel"):BrowseDlg->path;
   delete BrowseDlg;
   return path.LowerCase();
}
//---------------------------------------------------------------------------
__fastcall TBrowseDlg::TBrowseDlg(TComponent* Owner)
	: TForm(Owner)
{
 // AnsiString envpath(getenv("PATH"));
 // sm(envpath);
   FindFile = "";
}
//---------------------------------------------------------------------------
void __fastcall TBrowseDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrCancel) return;
   AnsiString dir = DirectoryListBox1->Directory;

   if (!FindFile.IsEmpty() && !FileExists(dir+"\\"+FindFile))
   {
      MsgBoxHwnd(Handle,"The file '"+FindFile+"' is not in the directory you have chosen.\nPlease select again.",
         "Invalid path", MB_OK);
      CanClose = false;
      return;
   }
   path = dir;
}
//---------------------------------------------------------------------------
void __fastcall TBrowseDlg::FormShow(TObject *Sender)
{
   AnsiString dir(ExtractFilePath(Application->ExeName));
   DirectoryListBox1->Directory = dir;
   SetCurrentDirectory(dir.c_str());
}
//---------------------------------------------------------------------------
