/*
*  WaitDlg.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef WaitDlgH
#define WaitDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall DoWaitDlg(AnsiString &Title, AnsiString &Message, TForm *Owner);

class TWaitForm : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TTimer *Timer1;
  TButton *CancelBtn;
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
  int times;
  AnsiString msg;
  __fastcall TWaitForm(TComponent* Owner);
};

const int WaitTimes = 5;  // increase number to make install 'appear' to take longer
//---------------------------------------------------------------------------
extern TWaitForm *WaitForm;
//---------------------------------------------------------------------------
#endif
