/*
*  Setup.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef SETUPH
#define SETUPH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\DdeMan.hpp>
//---------------------------------------------------------------------------
class TSetupForm : public TForm
{
__published:	// IDE-managed Components
   TEdit *Host;
   TLabel *Label2;
   TEdit *EAddr;
   TLabel *Label3;
  TCheckBox *GroupBox;
   TButton *CancelBtn;
   TButton *OkBtn;
   TBevel *Bevel1;
   TPanel *Panel2;
   TLabel *Label1;
   TLabel *Appname;
  TNotebook *Notebook1;
  TDdeClientConv *DDEClient;
   void __fastcall OkBtnClick(TObject *Sender);
   void __fastcall CancelBtnClick(TObject *Sender);
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
   bool done;
   AnsiString AppEXE,AppDAT,AppDIR,AppINI;
   __fastcall TSetupForm(TComponent* Owner);
   bool __fastcall WriteProgGroup();
   bool __fastcall WriteRegistry();
   void __fastcall WriteDat();
   void __fastcall ReadDat();
};
//---------------------------------------------------------------------------
extern TSetupForm *SetupForm;
//---------------------------------------------------------------------------
#endif
